commit d0d5b5be685dc4c16b21c54335becc87ca4d6f58
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-08 08:49:58 +0100

    distribute new tests

 test/Makefile.am |    2 ++
 1 file changed, 2 insertions(+)

commit bd6aac594c72d32057a5821fcedb2d36644526aa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-08 08:48:28 +0100

    1.2.0

 NEWS         |   10 +++++++++-
 configure.ac |    6 +++---
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 9b26cf8238a7d432fe96a50a75008aa6bce110da
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-08 08:38:22 +0100

    Add support for skipping tests, and use it
    
    Now that Python 2.6 isn't a supported version in Debian, it doesn't
    get a gi module, but we can still get some minimal test coverage.

 test/cross-test-client.py        |    5 ++++-
 test/cross-test-server.py        |    5 ++++-
 test/run-test.sh                 |   37 ++++++++++++++++++++++++++++---------
 test/run-with-tmp-session-bus.sh |   14 +++++++++++++-
 test/test-client.py              |    6 +++++-
 test/test-p2p.py                 |    5 ++++-
 test/test-signals.py             |    5 ++++-
 7 files changed, 62 insertions(+), 15 deletions(-)

commit 0872782255fdbaeda64311a298664597e59ba94f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-05-08 08:37:13 +0100

    utf8 test: pass when used with dbus 1.6.10, 1.7.2
    
    We used to reject noncharacters, but now we accept them.

 test/test-standalone.py |   41 +++++++++++++++++++++++++----------------
 1 file changed, 25 insertions(+), 16 deletions(-)

commit f909f596705f62a5218cf16d61433364fe2f8168
Author: Marko Lindqvist <cazfi74 gmail com>
Date:   2013-05-07 20:16:20 +0100

    Replace AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This has been (silently!) deprecated since 2002 and was removed from
    Automake 1.13.
    
    [added commit message -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 423ee853dfbb4ee9ed89a21e1cf2b6a928e2fc4d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-22 17:40:51 +0100

    Use GObject.__class__ instead of GObjectMeta
    
    In pygobject 3.8, GObjectMeta is no longer available via
    gi.repository.GObject. What we actually want is "the metaclass of
    GObject", so, say so.

 NEWS                    |    3 +++
 dbus/gi_service.py      |    4 ++--
 dbus/gobject_service.py |    4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit c9ad0a3909c80c09d33b21db6cb46cfee4489010
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-22 15:47:06 +0100

    Unset DBUS_STARTER_ADDRESS, DBUS_STARTER_BUS_TYPE
    
    See <https://bugs.freedesktop.org/show_bug.cgi?id=63119>.

 test/run-with-tmp-session-bus.sh |    2 ++
 1 file changed, 2 insertions(+)

commit 121c294b1853a280b01e0504eb1828c6d0e07bbc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2013-04-22 15:44:57 +0100

    Require D-Bus 1.6, drop fallback paths

 NEWS                             |    6 +++++
 _dbus_bindings/compat-internal.h |   19 ---------------
 _dbus_bindings/message-append.c  |   48 --------------------------------------
 configure.ac                     |   11 +--------
 4 files changed, 7 insertions(+), 77 deletions(-)

commit c57c4d281369589b636aee928238b7cf6e42e00f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-23 19:34:35 +0100

    NEWS

 NEWS |    7 +++++++
 1 file changed, 7 insertions(+)

commit f52465232234ae71fa16741abcd57aab155949ad
Author: Thiago Macieira <thiago.macieira@intel.com>
Date:   2012-10-23 11:12:21 -0700

    Update the confusing notice of what license dbus-python is under
    
    We tried to change the license for the D-Bus core too but were unable
    to reach all copyright holders. The MIT license was the suggested new
    license and all reached parties had agreed to.
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 COPYING |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d262628e89115bbcc33c439c77d33733c4a23491
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-16 18:33:08 +0100

    DBusException: override both __str__ and __unicode__
    
    Avoid chaining up to the superclass, because that behaves particularly
    oddly. This fixes regression test failures: str(some_dbus_exception) was no
    longer prefixed with the D-Bus error name under Python 2.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55899

 dbus/exceptions.py |   28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit 544e05a16e55dad7e666baabfb665997a79d6580
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-16 18:31:43 +0100

    Slightly better test coverage

 test/test-client.py |    4 ++++
 1 file changed, 4 insertions(+)

commit efdd1823239b02fe5a39e766cbd7597e6c3fcb96
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-16 17:52:36 +0100

    Use a form of assertRaises() that works in Python 2.6

 test/test-exception-py2.py |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 83615efbed565a689008b00a4ac82fc0fc4e5603
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-10-16 17:52:22 +0100

    Skip test_dbus_exception_convert_str_fail under unusual default encodings
    
    This would actually work fine if the default encoding was UTF-8 or
    Latin-1 or something.

 test/test-exception-py2.py |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 09b540bd55fb2fca14d4df7e0c520b8ba0ce4646
Author: Michael Vogt <mvo@ubuntu.com>
Date:   2012-10-12 13:37:51 +0200

    Support unicode messages for DBusException in Python 2
    
    [commit message amended -smcv]
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55899
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/exceptions.py         |   23 ++++++++++++++++--
 test/run-test.sh           |    6 +++++
 test/test-exception-py2.py |   58 ++++++++++++++++++++++++++++++++++++++++++++
 test/test-exception-py3.py |   31 +++++++++++++++++++++++
 4 files changed, 116 insertions(+), 2 deletions(-)

commit 5558ee11313fd929ed6aeb22228e89de2263e520
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 12:17:10 +0100

    Link Python extensions differently on Windows

 _dbus_bindings/Makefile.am      |   14 ++++++++++++++
 _dbus_glib_bindings/Makefile.am |   14 ++++++++++++++
 configure.ac                    |   13 +++++++++++++
 3 files changed, 41 insertions(+)

commit ec2671485a23090c470180eb297e67b86638d9b5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 12:15:16 +0100

    Replace incorrect AM_LDFLAGS usage with a proper AM_LDFLAGS/LIBADD split

 _dbus_bindings/Makefile.am      |    6 +++++-
 _dbus_glib_bindings/Makefile.am |    8 +++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 9c02d05642c8f99e3fe61804bcc33df380ebd5b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 20:27:12 +0100

    run-test.sh: don't go via make to run the cross-test
    
    Based on a patch from Christoph Höger.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=51725

 test/run-test.sh |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e8a507570e12778a0f325786fcf9f5f768019118
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 19:49:13 +0100

    NEWS

 NEWS |   14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit f3199102a68c72460fd0a025ab966557a0996223
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 19:49:07 +0100

    Don't include stdint.h
    
    Every use here turns out to be unnecessary, some compilers *still*
    don't have it after more than a decade in ISO C, and if we need
    fixed-length integer types we can use the ones from D-Bus.

 _dbus_bindings/abstract.c       |    2 --
 _dbus_bindings/bytes.c          |    2 --
 _dbus_bindings/containers.c     |    2 --
 _dbus_bindings/float.c          |    2 --
 _dbus_bindings/signature.c      |    2 --
 _dbus_bindings/types-internal.h |    1 -
 6 files changed, 11 deletions(-)

commit 6f5ec9552ca169b66b338698850a125151e3599c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 19:36:26 +0100

    Re-indent now that the indentation is unecessary

 _dbus_bindings/server.c |   61 ++++++++++++++++++++++-------------------------
 1 file changed, 29 insertions(+), 32 deletions(-)

commit 5b79604a6d1eb11268293342d19da633e5eedaa4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 19:35:43 +0100

    Avoid variable-length arrays, which MSVC *still* doesn't support
    
    Based on patches from Christoph Höger.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=51725

 _dbus_bindings/message-append.c |   16 +++++++++++++---
 _dbus_bindings/server.c         |   30 ++++++++++++++++++++----------
 2 files changed, 33 insertions(+), 13 deletions(-)

commit bdc48547078b8ba09856c81b7c4f148fb163c01b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-07-04 19:19:12 +0100

    Use AC_C_INLINE to make sure "inline" works

 configure.ac |    1 +
 1 file changed, 1 insertion(+)

commit 3d23ff9e91151c2fb8e5ccb74067ff7ad6df3067
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-06-25 21:20:12 +0100

    reset to unreleased

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86b978042fa23d9b262cb0baa40398e21ddb0530
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-06-25 21:19:35 +0100

    prepare release

 NEWS         |    4 +++-
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit f6066573d25508f5cbbc5c12254086d419bb8828
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-06-25 17:01:51 +0100

    fd.o #40817: validate UTF-8 according to the same rules as libdbus

 NEWS                            |    8 +++
 _dbus_bindings/message-append.c |  102 ++++++++++++++++++++++++++++-----------
 configure.ac                    |    4 ++
 test/test-standalone.py         |   59 +++++++++++++++++++++-
 4 files changed, 143 insertions(+), 30 deletions(-)

commit 4a0f4379d4a5783d576aec90019a39459eff007d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-06-05 19:39:20 +0100

    NEWS

 NEWS |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6ff89bf0d05a550cf1aff2053579fc1f0192cd97
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-06-05 19:07:51 +0100

    Py3: correctly guess the signature of ObjectPath(...) and Signature(...)
    
    Under Python 2, ObjectPath and Signature are subtypes of str (= bytes),
    and the existing type-guessing worked.
    
    The type-guessing code assumed that all unicode objects were just
    strings, but that assumption became false in the Python 3 port:
    ObjectPath and Signature are still subtypes of str, but str now means
    unicode, not bytes.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=50740

 _dbus_bindings/message-append.c |   14 ++++++++++++--
 test/test-standalone.py         |    2 ++
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 2f08b9e644c8530c4d324c4bd9d8a0cdb24edc92
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-09 17:50:59 +0100

    Back to unreleased status

 NEWS         |    5 +++++
 configure.ac |    2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4a4bce958b3257b7cb2adc050022879660aface1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-09 15:47:48 +0100

    1.1.0

 NEWS                    |   35 +++++++++++++++++++++++++++++++++++
 configure.ac            |    4 ++--
 dbus/gobject_service.py |    1 +
 3 files changed, 38 insertions(+), 2 deletions(-)

commit e2e589889ef5257f62cc3a32561142f625716ef0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 11:11:11 +0100

    Make AM_CHECK_PYTHON_HEADERS compatible with Python 3 in the absence of python3-config

 m4/am-check-python-headers.m4 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2f59718a4bf22cbea28e0c7b2f880f86d4497a7a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 10:44:13 +0100

    Deprecate dbus.gobject_service and make it vaguely compatible with 1.0
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48904

 dbus/gobject_service.py |   16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 5b9f87676802f04ebc339fd16a4a30dc42e33c91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 10:41:27 +0100

    Reinstate the old dbus.gobject_service, but only for Python 2
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48904

 Makefile.am             |    6 ++++
 configure.ac            |    5 ++++
 dbus/gobject_service.py |   71 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 82 insertions(+)

commit ba3f3ff253982c9ad3b5a33df5b120e5692c9d29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-05-02 10:39:29 +0100

    Rename gobject_service (PyGI version) to gi_service
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48904

 Makefile.am             |    2 +-
 dbus/gi_service.py      |   83 +++++++++++++++++++++++++++++++++++++++++++++++
 dbus/gobject_service.py |   83 -----------------------------------------------
 test/test-service.py    |   10 +++---
 4 files changed, 89 insertions(+), 89 deletions(-)

commit f264e37f13720898d941f3636f77c489a9a1d845
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-03-12 11:41:00 +0000

    Fix ref leak in dbus_py_variant_level_set
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=47108
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 _dbus_bindings/abstract.c |    2 ++
 1 file changed, 2 insertions(+)

commit c53788657c0cfbd038325e690e7097e31f5e8430
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-29 13:35:24 +0000

    Put sockets for the regression tests in /tmp, not ${builddir}
    
    Some automated build systems (naming no Portage) have really long build
    directories, which can cause dbus-python to hit the length limit for Unix
    sockets' names.
    
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46747
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 test/tmp-session-bus.conf.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1055343d746accc4048e5806f84a880143444c9f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2011-11-15 16:07:57 +0000

    Use DBusBasicValue instead of reinventing it, if dbus is new enough
    
    If we don't find it, continue to reinvent it, but move the reinvention
    to an internal header so it's at least the same in both files that want it.

 _dbus_bindings/Makefile.am        |    1 +
 _dbus_bindings/compat-internal.h  |   52 ++++++++++++++++++++++++++++++++++
 _dbus_bindings/message-append.c   |   56 ++++++++++++++++---------------------
 _dbus_bindings/message-get-args.c |   56 +++++++++++++++----------------------
 configure.ac                      |    5 ++++
 5 files changed, 104 insertions(+), 66 deletions(-)

commit 8e4836c318eb64ef720b497bebc247ac6a468b4b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-01 10:10:26 +0000

    Fix _maintainer-update-htmldocs for out-of-tree builds

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de81bf8dd5d70f4184412a5c7c2aacd82348d7ea
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-02-01 10:10:10 +0000

    Remove TODO, which is now empty - use bugzilla instead

 Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 996a3f46f0998219eaf0cd68a744ebc90cfc6dd8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 20:33:38 +0000

    back to unreleased

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c59647b024b3242810fe46e500d557fd56d684d4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 20:33:26 +0000

    retroactively add release date

 NEWS |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5a8eb939ab4603a931457c5d4e8dfcdc323eaf89
Author: Barry Warsaw <barry@python.org>
Date:   2012-01-24 16:43:05 +0000

    Install _compat.py

 Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit d1ccc12dd1dee34faae52c7b325048ea801599fd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 16:41:46 +0000

    Generate ChangeLog correctly when out-of-tree

 Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1ee2b1a8cf729a71ae56e5671564c5fd62504707
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 16:36:49 +0000

    Let's call this 1.0

 NEWS         |    6 ++++--
 configure.ac |    6 +++---
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 5b76f66e79f9bc07241a44c0277d4bbebc08ce20
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 16:35:45 +0000

    Remove duplicate -Werror machinery

 configure.ac |    8 --------
 1 file changed, 8 deletions(-)

commit cd4e91c65624062b5504c10b2af0a05aefbf4878
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 16:35:38 +0000

    Move PY3PORT into doc, use the same extension as other rst, and render it

 Makefile.am     |   16 +++-
 NEWS            |    3 +
 PY3PORT.rst     |  224 -------------------------------------------------------
 configure.ac    |    2 +-
 doc/PY3PORT.txt |  224 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 240 insertions(+), 229 deletions(-)

commit 09ca5de0f38d3cc30b8d149b2a8c9f0ad810a09a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 16:21:15 +0000

    Describe problems, alternatives

 README |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit b486edf800ecb9d2e23a35f7ac3151657ee39250
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-24 16:06:35 +0000

    Deprecate dbus.glib (use dbus.mainloop.glib or dbus.mainloop.qt4)

 dbus/glib.py |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 50fa5eb54992c28d63b0532533f755ff39f082e2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 15:02:40 +0000

    Add INTORLONG_CHECK macro so we don't have to conditionalize PyInt_Check

 _dbus_bindings/bus.c                    |    7 ++-----
 _dbus_bindings/bytes.c                  |    8 ++------
 _dbus_bindings/dbus_bindings-internal.h |    2 ++
 _dbus_bindings/message-append.c         |    8 +++-----
 _dbus_bindings/unixfd.c                 |    7 ++-----
 5 files changed, 11 insertions(+), 21 deletions(-)

commit 4f043cf34a8001c071644eb8c89dc7d43e86b62a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 15:01:39 +0000

    Use native 'int' (whatever that means) for variant_level etc.
    
    This reverts the Python 2 API to be in terms of PyInt, leaving the
    Python 3 API in terms of PyLong (which is called 'int' in Python code).

 NEWS                                    |    3 ---
 PY3PORT.rst                             |    2 --
 _dbus_bindings/abstract.c               |   12 ++++++------
 _dbus_bindings/bytes.c                  |    4 ++--
 _dbus_bindings/conn-methods.c           |    2 +-
 _dbus_bindings/dbus_bindings-internal.h |    6 ++++++
 _dbus_bindings/message-get-args.c       |    2 +-
 _dbus_bindings/message.c                |    2 +-
 8 files changed, 17 insertions(+), 16 deletions(-)

commit cdc0ca5c72686aab38a172f14da3b38fe304baa9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 14:59:36 +0000

    update NEWS, PY3PORT.rst

 NEWS        |   20 +++++++++++++++++---
 PY3PORT.rst |    9 ++++-----
 2 files changed, 21 insertions(+), 8 deletions(-)

commit ae61078cc90917c20b14298aaec18e87e149d337
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 14:04:14 +0000

    Test behaviour of various Message methods

 test/test-standalone.py |   54 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 69342f86b0d036ca41a19363efaf4e8352837c24
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 14:03:53 +0000

    Do not allow Byte(unicode(x)) (i.e. Byte(str(x)) in Python 3)
    
    Unicode strings aren't bytestrings, so there's no obvious meaning for
    the byte value of a Unicode string of length 1.

 PY3PORT.rst               |   12 ++++++------
 _dbus_bindings/bytes.c    |   14 --------------
 test/cross-test-client.py |   18 +++++++++---------
 test/test-standalone.py   |   38 +++++++++++++++++++++++++++++++-------
 4 files changed, 46 insertions(+), 36 deletions(-)

commit cada4883df6b67f4059eedd2def1f5cffa41c7d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 12:58:21 +0000

    Use better names for the superclasses of Byte and ByteArray
    
    Strictly speaking, DBUS_FOO is libdbus' namespace, not ours. Use
    DBUS_PY_FOO.
    
    DBUS_BYTES_BASE was misleading: it's the base class for a single byte,
    so call it DBUS_PY_BYTE_BASE.

 _dbus_bindings/bytes.c |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit beaa479066a0139bbb09f058818cd5476f1a79d2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 12:57:15 +0000

    Consistently use the str type for identifier-like (ASCII) strings
    
    Porting to Python 3 left these methods returning unicode, which is
    arguably an API break in Python 2:
    
    * Message.get_member
    * Message.get_path_decomposed (array of unicode)
    * Message.get_sender
    * Message.get_destination
    * Message.get_interface
    * Message.get_error_name
    * Server.get_address
    * Server.get_id
    
    Instead, make them return whatever the natural str type is (bytes in
    Python 2, unicode in Python 3).

 _dbus_bindings/bus.c          |    6 +-----
 _dbus_bindings/conn-methods.c |    6 +-----
 _dbus_bindings/exceptions.c   |    4 ++--
 _dbus_bindings/message.c      |   12 ++++++------
 _dbus_bindings/server.c       |    4 ++--
 5 files changed, 12 insertions(+), 20 deletions(-)

commit a5c77b73651f8f288f7ea2eb9029895eed3cacab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 12:54:26 +0000

    DBusPythonString base class: use "native str" as base class instead of reinventing it

 _dbus_bindings/abstract.c               |   16 +++++-----------
 _dbus_bindings/dbus_bindings-internal.h |    2 ++
 2 files changed, 7 insertions(+), 11 deletions(-)

commit 0daad225ff9085c4013da69e5733e8846e9b8de3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2012-01-11 12:50:43 +0000

    SignalMessage.__repr__: include the destination and abbreviate "interface" more conventionally
    
    Yes, signals can have a destination. The default is to broadcast.

 _dbus_bindings/message.c |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 9201d65b31305c8bef86ab072b7c33b197ede562
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-17 12:09:57 -0500

    Quash a few more deprecations.

 test/test-p2p.py     |   10 +++++-----
 test/test-signals.py |    2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit f8dab5af0bef5d26a51df41a564a5285c16a9cb5
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-16 17:07:07 -0500

    More Python 3 porting, this time primarily to get test-client.py working.
    Changes include:
    
    - DBusException.get_dbus_message(): In Python 3, the str of the exception will
      already be a unicode, so don't try to decode it unless it's a bytes object
      (a.k.a. 8-bit str in Python 2).
    - gobject_service.py: Switch to pygi and rewrite the metaclass instantiation
      code to be portable between Python 2 and Python 3.
    - run-test.sh: echo a few more useful environment variables
    - test-client.py:
      - Globally replace deprecated assertEquals with assertEqual
      - Globally replace deprecated assert_ with assertTrue
      - Use bytes objects for both 'ay' signatured methods on the server
      - AcceptUnicodeString will return a native unicode, i.e. a str in Python 3
        and a unicode in Python 2.  Python 3 has no `unicode` built-in.
      - Reformat some long lines for debugging.
    - test-service.py:
      - Open the log file in 'a' mode for easier tailing.
      - AcceptUnicodeString will return a native unicode, i.e. a str in Python 3
        and a unicode in Python 2.  Python 3 has no `unicode` built-in.
      - reformat some long lines for debugging.
      - Put module-scope code into a main() function and add a bunch of logger
        output for better debugging.  `session_bus` must still be global though.
        Wrap main() in a bit try/except to log all top-level exceptions.

 dbus/exceptions.py      |    5 +-
 dbus/gobject_service.py |   76 +++++++++-------
 test/run-test.sh        |    2 +
 test/test-client.py     |  231 +++++++++++++++++++++++++----------------------
 test/test-service.py    |   57 ++++++++----
 5 files changed, 214 insertions(+), 157 deletions(-)

commit 2167b305db78b8345b0f5ea23bfa445fa7cfca4d
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-16 11:15:01 -0500

    Re-enable the other tests, even though these still fail for me (b.f.o #43303).
    Fix another except syntax problem.

 test/run-test.sh    |   12 ++++++------
 test/test-client.py |    6 +++---
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 0c71d7dd6eb843a74931c714d6142921f1971f88
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-15 19:58:06 -0500

    Re-enable previously disabled test.

 test/cross-test-client.py |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ef05d294e85978cf96a86535321cf914b605fa48
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-15 19:37:23 -0500

    Fix the match rule semantics so that a match rule of "arg0='/'" does not match
    object paths in Python3, as per Simon's review comments.

 dbus/connection.py      |   18 +++++++++---------
 test/test-standalone.py |   19 +++++++++++++++++++
 2 files changed, 28 insertions(+), 9 deletions(-)

commit 8e87ac365f6b08c0617985488dd5d27148c9281d
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-15 17:55:20 -0500

    Consistency; clean-up.

 _dbus_bindings/abstract.c |    8 ++++----
 _dbus_bindings/bytes.c    |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit f2909c23abc4f8fa55d71673785f8e70a843f6ce
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-15 16:50:02 -0500

    - Added back the missing PY3PORT.rst file, with updates.
    - Disallow appending unicode objects with 'y' (bytes) signatures.  This now
      requires either a bytes object or an integer.  Update the tests to reflect
    - this change.
    - Fix broken __all__ in Python 3.

 PY3PORT.rst                     |  227 +++++++++++++++++++++++++++++++++++++++
 _dbus_bindings/message-append.c |   26 ++---
 dbus/types.py                   |    5 +-
 test/cross-test-client.py       |    9 +-
 test/run-test.sh                |    1 +
 test/test-standalone.py         |   10 +-
 6 files changed, 249 insertions(+), 29 deletions(-)

commit 4c1c2eade1c5b383adad94a7a4fd6553873fecf0
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-15 06:57:21 -0500

    This is the big one; it adds Python 3 support.

 _dbus_bindings/Makefile.am              |    3 +-
 _dbus_bindings/abstract.c               |  182 +++++++++++++++++++++++++++--
 _dbus_bindings/bus.c                    |   20 +++-
 _dbus_bindings/bytes.c                  |   59 ++++++++--
 _dbus_bindings/conn-methods.c           |   30 +++--
 _dbus_bindings/conn.c                   |   32 ++++-
 _dbus_bindings/containers.c             |   59 +++++++++-
 _dbus_bindings/dbus_bindings-internal.h |   31 +++--
 _dbus_bindings/exceptions.c             |    4 +-
 _dbus_bindings/int.c                    |   44 ++++---
 _dbus_bindings/message-append.c         |  195 +++++++++++++++++++++++++------
 _dbus_bindings/message-get-args.c       |   27 ++++-
 _dbus_bindings/message.c                |   60 ++++++++--
 _dbus_bindings/module.c                 |  143 +++++++++++++++--------
 _dbus_bindings/server.c                 |   40 +++++--
 _dbus_bindings/signature.c              |   34 ++++--
 _dbus_bindings/string.c                 |   17 +--
 _dbus_bindings/types-internal.h         |   12 +-
 _dbus_bindings/unixfd.c                 |    7 +-
 _dbus_glib_bindings/Makefile.am         |    2 +-
 _dbus_glib_bindings/module.c            |   32 +++++
 configure.ac                            |    2 +-
 dbus/__init__.py                        |   19 ++-
 dbus/_compat.py                         |    8 ++
 dbus/_dbus.py                           |   11 +-
 dbus/_expat_introspect_parser.py        |    2 +-
 dbus/bus.py                             |   23 +++-
 dbus/connection.py                      |   79 ++++++++-----
 dbus/decorators.py                      |   19 +--
 dbus/proxies.py                         |   12 +-
 dbus/service.py                         |   25 ++--
 dbus/types.py                           |    6 +-
 include/dbus-python.h                   |   18 +++
 test/cross-test-client.py               |  107 ++++++++++-------
 test/cross-test-server.py               |   34 ++++--
 test/dbus_py_test.c                     |   26 +++++
 test/run-test.sh                        |   14 ++-
 test/test-client.py                     |  149 ++++++++++++-----------
 test/test-p2p.py                        |   21 ++--
 test/test-service.py                    |    9 +-
 test/test-standalone.py                 |  173 +++++++++++++++++----------
 test/test-unusable-main-loop.py         |    5 +-
 42 files changed, 1333 insertions(+), 462 deletions(-)

commit 667082d0b4aef9c438a2e7fec89614b5b8ef960a
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-14 15:05:16 -0500

    First round of PyInt -> PyLong changes.  These are only compatible with Python
    2, since there are still some unconditional PyInt calls, which are not valid
    in Python 3.  However, it lays the framework for conditionalizing on Python 3
    and using only PyLong in that case.  Where it doesn't matter, PyLong is used
    unconditionally.

 _dbus_bindings/abstract.c         |   20 ++++++--
 _dbus_bindings/bus.c              |    6 ++-
 _dbus_bindings/bytes.c            |   34 +++++++++----
 _dbus_bindings/conn-methods.c     |    2 +-
 _dbus_bindings/conn.c             |    2 +-
 _dbus_bindings/containers.c       |   11 +++--
 _dbus_bindings/generic.c          |    4 +-
 _dbus_bindings/int.c              |   33 ++++++++-----
 _dbus_bindings/message-append.c   |   21 ++++++--
 _dbus_bindings/message-get-args.c |    2 +-
 _dbus_bindings/message.c          |    2 +-
 _dbus_bindings/types-internal.h   |    3 ++
 _dbus_bindings/unixfd.c           |   95 ++++++++++++++++++++++++-------------
 test/test-standalone.py           |    7 +--
 14 files changed, 166 insertions(+), 76 deletions(-)

commit 11c639e3bd2ca3e6a87f349155dda2acc3cd92ea
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-14 13:54:31 -0500

    Add error checking to dbus_py_variant_level_get() and call sites.

 _dbus_bindings/abstract.c       |   22 +++++++++++++++++++---
 _dbus_bindings/containers.c     |    4 ++++
 _dbus_bindings/message-append.c |    4 ++++
 3 files changed, 27 insertions(+), 3 deletions(-)

commit 71f4481c1876785572170ef68d5624ed23f91333
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-14 13:36:39 -0500

    In preparation for Python 3 support, use the Python 2 PyBytes aliases for the
    PyString API.  This makes the code compilable in Python 2.x (x >= 6) and
    Python 3.

 _dbus_bindings/abstract.c       |   21 ++++---
 _dbus_bindings/bus.c            |    4 +-
 _dbus_bindings/bytes.c          |    8 +--
 _dbus_bindings/conn-methods.c   |   40 ++++++------
 _dbus_bindings/conn.c           |    2 +-
 _dbus_bindings/containers.c     |    8 +--
 _dbus_bindings/exceptions.c     |    4 +-
 _dbus_bindings/message-append.c |  128 ++++++++++++++++++++-------------------
 _dbus_bindings/message.c        |   12 ++--
 _dbus_bindings/server.c         |    6 +-
 _dbus_bindings/signature.c      |    4 +-
 _dbus_bindings/types-internal.h |    7 +++
 12 files changed, 129 insertions(+), 115 deletions(-)

commit ca7a705663adbac2e781d10c13fc98a5444ef646
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-14 12:00:04 -0500

    In preparation for Python 3 support, all reprs now return unicodes, which is
    legal in Python 2 also.  Use fancy REPR macro and the %V format code for
    cross-Python compatibility.

 _dbus_bindings/abstract.c               |   48 ++++++++++++-------------
 _dbus_bindings/containers.c             |   60 +++++++++++++++----------------
 _dbus_bindings/dbus_bindings-internal.h |   25 +++++++++++++
 _dbus_bindings/int.c                    |   14 ++++----
 _dbus_bindings/string.c                 |   12 +++----
 5 files changed, 92 insertions(+), 67 deletions(-)

commit 5ff1d938ee230b47dcab8b7703409067df35ed2f
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 17:36:49 -0500

    Modernize multiline imports in preparation for Python 3 support.

 dbus/__init__.py   |   34 +++++++++++++++-------------------
 dbus/_dbus.py      |   12 +++++-------
 dbus/bus.py        |   27 ++++++++++-----------------
 dbus/connection.py |   15 +++++++--------
 dbus/lowlevel.py   |   14 +++++---------
 dbus/proxies.py    |   10 ++++++----
 dbus/service.py    |   10 +++++-----
 dbus/types.py      |    9 ++++-----
 8 files changed, 57 insertions(+), 74 deletions(-)

commit dc7b07bc5921cd6263552bb1f3351416327fd67c
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 17:26:15 -0500

    Modernize `raise` syntax in preparation of Python 3 support.

 dbus/decorators.py |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e033b0c8f22a67abfe2ba1b61365d0c2570b7429
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 17:22:22 -0500

    Import threading instead of thread.  The latter is gone in Python 3.

 dbus/_dbus.py      |    5 -----
 dbus/connection.py |    7 ++-----
 dbus/service.py    |    7 ++-----
 3 files changed, 4 insertions(+), 15 deletions(-)

commit 061e55e8edbfb457bf56194c52e7d7624855cf41
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 17:17:46 -0500

    Fix an inconsequential typo.

 _dbus_bindings/signature.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4477b6120240e186db8d86619f6da63faca296ba
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 17:15:41 -0500

    For pendantic correctness, and future Python 3 compatibility, explicitly
    initialize the weaklist slots.

 _dbus_bindings/conn.c   |    1 +
 _dbus_bindings/server.c |    1 +
 2 files changed, 2 insertions(+)

commit 48abd4782f336de2d6dd228e58f86729778e26fb
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 17:08:50 -0500

    Don't leak the fast_seq object.

 _dbus_bindings/server.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 033a0f2890495053fd6474d6f52d4a6e9c32cca1
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 16:50:38 -0500

    - Add a few missing Py_TYPE() changes for Python 3 compatibility.
    - De-tabbify a few instances that "make check" complains about.

 _dbus_bindings/bytes.c          |    2 +-
 _dbus_bindings/containers.c     |    8 ++++----
 _dbus_bindings/message-append.c |    2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 4a26dab362e8ddd7a765f1249649408f62eb96e7
Author: Barry Warsaw <barry@python.org>
Date:   2011-12-13 16:21:04 -0500

    Additional PyObject_HEAD_INIT -> PyVarObject_HEAD_INIT changes in preparation
    for Python 3 support.

 _dbus_bindings/abstract.c    |   12 ++++--------
 _dbus_bindings/conn.c        |    3 +--
